> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue chat



## OpenAPI

````yaml openapi/viewer.json POST /v1/sessions/{sessionId}/continueChat
openapi: 3.1.1
info:
  title: Chat API
  version: 3.0.0
servers:
  - url: https://typebot.io/api
security: []
externalDocs:
  url: https://docs.typebot.com/api-reference
paths:
  /v1/sessions/{sessionId}/continueChat:
    post:
      tags:
        - Chat
      summary: Continue chat
      operationId: continueChat
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
            description: >-
              The session ID you got from the [startChat](./start-chat)
              response.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  anyOf:
                    - anyOf:
                        - $ref: '#/components/schemas/Text'
                        - $ref: '#/components/schemas/Audio'
                        - $ref: '#/components/schemas/Command'
                    - type: 'null'
                textBubbleContentFormat:
                  enum:
                    - richText
                    - markdown
                  type: string
                  default: richText
              required: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  lastMessageNewFormat:
                    type: string
                    description: >-
                      The sent message is validated and formatted on the
                      backend. For example, if for a date input you replied
                      something like `tomorrow`, the backend will convert it to
                      a date string. This field returns the formatted message.
                  messages:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                          required:
                            - id
                        - anyOf:
                            - type: object
                              properties:
                                type:
                                  const: text
                                content:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          const: richText
                                        richText: {}
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          const: markdown
                                        markdown:
                                          type: string
                                      required:
                                        - type
                                        - markdown
                              required:
                                - type
                                - content
                            - type: object
                              properties:
                                type:
                                  enum:
                                    - image
                                  type: string
                                content:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    clickLink:
                                      type: object
                                      properties:
                                        url:
                                          type: string
                                        alt:
                                          type: string
                              required:
                                - type
                                - content
                            - type: object
                              properties:
                                type:
                                  enum:
                                    - video
                                  type: string
                                content:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    id:
                                      type: string
                                    type:
                                      enum:
                                        - url
                                        - youtube
                                        - vimeo
                                        - tiktok
                                        - gumlet
                                      type: string
                                    height: {}
                                    aspectRatio:
                                      type: string
                                    maxWidth:
                                      type: string
                                    queryParamsStr:
                                      type: string
                                    areControlsDisplayed:
                                      type: boolean
                                    isAutoplayEnabled:
                                      type: boolean
                              required:
                                - type
                                - content
                            - type: object
                              properties:
                                type:
                                  enum:
                                    - audio
                                  type: string
                                content:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    isAutoplayEnabled:
                                      type: boolean
                              required:
                                - type
                                - content
                            - type: object
                              properties:
                                type:
                                  enum:
                                    - embed
                                  type: string
                                content:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    height: {}
                                    waitForEvent:
                                      type: object
                                      properties:
                                        isEnabled:
                                          type: boolean
                                        name:
                                          type: string
                                        saveDataInVariableId:
                                          type: string
                              required:
                                - type
                                - content
                            - type: object
                              properties:
                                type:
                                  const: custom-embed
                                content:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    waitForEventFunction:
                                      type: object
                                      properties:
                                        args:
                                          type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                        content:
                                          type: string
                                      required:
                                        - args
                                        - content
                                    initFunction:
                                      type: object
                                      properties:
                                        args:
                                          type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                        content:
                                          type: string
                                      required:
                                        - args
                                        - content
                                  required:
                                    - initFunction
                              required:
                                - type
                                - content
                  input:
                    allOf:
                      - anyOf:
                          - anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - text input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                      variableId:
                                        type: string
                                      isLong:
                                        type: boolean
                                      inputMode:
                                        enum:
                                          - text
                                          - decimal
                                          - numeric
                                          - tel
                                          - search
                                          - email
                                          - url
                                        type: string
                                      audioClip:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          saveVariableId:
                                            type: string
                                          visibility:
                                            enum:
                                              - Auto
                                              - Public
                                              - Private
                                            type: string
                                      attachments:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          saveVariableId:
                                            type: string
                                          visibility:
                                            enum:
                                              - Auto
                                              - Public
                                              - Private
                                            type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - choice input
                                    type: string
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                        content:
                                          type: string
                                        value:
                                          type: string
                                        displayCondition:
                                          type: object
                                          properties:
                                            isEnabled:
                                              type: boolean
                                            condition:
                                              type: object
                                              properties:
                                                logicalOperator:
                                                  enum:
                                                    - OR
                                                    - AND
                                                  type: string
                                                comparisons:
                                                  type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      id: {}
                                                      variableId: {}
                                                      comparisonOperator: {}
                                                      value: {}
                                      required:
                                        - id
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isMultipleChoice:
                                        type: boolean
                                      buttonLabel:
                                        type: string
                                      dynamicVariableId:
                                        type: string
                                      isSearchable:
                                        type: boolean
                                      searchInputPlaceholder:
                                        type: string
                                      areInitialSearchButtonsVisible:
                                        type: boolean
                                required:
                                  - id
                                  - type
                                  - items
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - email input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                      retryMessageContent:
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - number input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                      min: {}
                                      max: {}
                                      step: {}
                                      locale:
                                        type: string
                                        pattern: ^[a-z]{2}(-[A-Z]{2})?$
                                      style:
                                        enum:
                                          - decimal
                                          - currency
                                          - percent
                                          - unit
                                        type: string
                                      currency:
                                        type: string
                                      unit:
                                        enum:
                                          - acre
                                          - bit
                                          - byte
                                          - celsius
                                          - centimeter
                                          - day
                                          - degree
                                          - fahrenheit
                                          - fluid-ounce
                                          - foot
                                          - gallon
                                          - gigabit
                                          - gigabyte
                                          - gram
                                          - hectare
                                          - hour
                                          - inch
                                          - kilobit
                                          - kilobyte
                                          - kilogram
                                          - kilometer
                                          - liter
                                          - megabit
                                          - megabyte
                                          - meter
                                          - microsecond
                                          - mile
                                          - mile-scandinavian
                                          - milliliter
                                          - millimeter
                                          - millisecond
                                          - minute
                                          - month
                                          - nanosecond
                                          - ounce
                                          - percent
                                          - petabyte
                                          - pound
                                          - second
                                          - stone
                                          - terabit
                                          - terabyte
                                          - week
                                          - yard
                                          - year
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - url input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                      retryMessageContent:
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - phone number input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                      retryMessageContent:
                                        type: string
                                      defaultCountryCode:
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - date input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          button:
                                            type: string
                                          from:
                                            type: string
                                          to:
                                            type: string
                                      hasTime:
                                        type: boolean
                                      isRange:
                                        type: boolean
                                      format:
                                        type: string
                                        description: >-
                                          Format of the string is based on Unicode
                                          Technical Standard #35
                                      min:
                                        type: string
                                      max:
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - time input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          button:
                                            type: string
                                      format:
                                        type: string
                                        description: >-
                                          Format of the string is based on Unicode
                                          Technical Standard #35
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - payment input
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      provider:
                                        enum:
                                          - Stripe
                                        type: string
                                      labels:
                                        type: object
                                        properties:
                                          button:
                                            type: string
                                          success:
                                            type: string
                                      additionalInformation:
                                        type: object
                                        properties:
                                          description:
                                            type: string
                                          name:
                                            type: string
                                          email:
                                            type: string
                                          phoneNumber:
                                            type: string
                                          address:
                                            type: object
                                            properties:
                                              country:
                                                type: string
                                              line1:
                                                type: string
                                              line2:
                                                type: string
                                              state:
                                                type: string
                                              city:
                                                type: string
                                              postalCode:
                                                type: string
                                      credentialsId:
                                        type: string
                                      currency:
                                        type: string
                                      amount:
                                        type: string
                                      retryMessageContent:
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    const: rating input
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      buttonType:
                                        anyOf:
                                          - const: Icons
                                          - const: Numbers
                                      length:
                                        type: number
                                      startsAt: {}
                                      labels:
                                        type: object
                                        properties:
                                          left:
                                            type: string
                                          right:
                                            type: string
                                          button:
                                            type: string
                                      customIcon:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          svg:
                                            type: string
                                      isOneClickSubmitEnabled:
                                        type: boolean
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    const: file input
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isRequired:
                                        type: boolean
                                      isMultipleAllowed:
                                        type: boolean
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                          clear:
                                            type: string
                                          skip:
                                            type: string
                                          success:
                                            type: object
                                            properties:
                                              single:
                                                type: string
                                              multiple:
                                                type: string
                                      allowedFileTypes:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          types:
                                            type: array
                                            items:
                                              type: string
                                      capture:
                                        enum:
                                          - environment
                                          - user
                                        type: string
                                      visibility:
                                        enum:
                                          - Auto
                                          - Public
                                          - Private
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - picture choice input
                                    type: string
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                        pictureSrc:
                                          type: string
                                        title:
                                          type: string
                                        description:
                                          type: string
                                        value:
                                          type: string
                                        displayCondition:
                                          type: object
                                          properties:
                                            isEnabled:
                                              type: boolean
                                            condition:
                                              type: object
                                              properties:
                                                logicalOperator:
                                                  enum:
                                                    - OR
                                                    - AND
                                                  type: string
                                                comparisons:
                                                  type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      id: {}
                                                      variableId: {}
                                                      comparisonOperator: {}
                                                      value: {}
                                      required:
                                        - id
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isMultipleChoice:
                                        type: boolean
                                      isSearchable:
                                        type: boolean
                                      buttonLabel:
                                        type: string
                                      searchInputPlaceholder:
                                        type: string
                                      dynamicItems:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          titlesVariableId:
                                            type: string
                                          descriptionsVariableId:
                                            type: string
                                          pictureSrcsVariableId:
                                            type: string
                                required:
                                  - id
                                  - type
                                  - items
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    const: cards
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                        options:
                                          type: object
                                          properties:
                                            displayCondition:
                                              type: object
                                              properties:
                                                isEnabled:
                                                  type: boolean
                                                condition:
                                                  type: object
                                                  properties:
                                                    logicalOperator:
                                                      enum:
                                                        - OR
                                                        - AND
                                                      type: string
                                                    comparisons:
                                                      type: array
                                                      items:
                                                        anyOf:
                                                          - {}
                                                          - type: 'null'
                                            internalValue:
                                              anyOf:
                                                - type: string
                                                - type: 'null'
                                        imageUrl:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        title:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        description:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        paths:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              text:
                                                type: string
                                              outgoingEdgeId:
                                                type: string
                                            required:
                                              - id
                                      required:
                                        - id
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      saveResponseMapping:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            field:
                                              enum:
                                                - Image URL
                                                - Title
                                                - Description
                                                - Button
                                                - Internal Value
                                              type: string
                                            variableId:
                                              type: string
                                required:
                                  - id
                                  - type
                                  - items
                          - anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - choice input
                                    type: string
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        blockId:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                        content:
                                          type: string
                                        value:
                                          type: string
                                        displayCondition:
                                          type: object
                                          properties:
                                            isEnabled:
                                              type: boolean
                                            condition:
                                              type: object
                                              properties:
                                                logicalOperator:
                                                  enum:
                                                    - OR
                                                    - AND
                                                  type: string
                                                comparisons:
                                                  type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      id: {}
                                                      variableId: {}
                                                      comparisonOperator: {}
                                                      value: {}
                                      required:
                                        - id
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isMultipleChoice:
                                        type: boolean
                                      buttonLabel:
                                        type: string
                                      dynamicVariableId:
                                        type: string
                                      isSearchable:
                                        type: boolean
                                      searchInputPlaceholder:
                                        type: string
                                      areInitialSearchButtonsVisible:
                                        type: boolean
                                required:
                                  - id
                                  - type
                                  - items
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    const: file input
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isRequired:
                                        type: boolean
                                      isMultipleAllowed:
                                        type: boolean
                                      labels:
                                        type: object
                                        properties:
                                          placeholder:
                                            type: string
                                          button:
                                            type: string
                                          clear:
                                            type: string
                                          skip:
                                            type: string
                                          success:
                                            type: object
                                            properties:
                                              single:
                                                type: string
                                              multiple:
                                                type: string
                                      allowedFileTypes:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          types:
                                            type: array
                                            items:
                                              type: string
                                      capture:
                                        enum:
                                          - environment
                                          - user
                                        type: string
                                      sizeLimit:
                                        type: number
                                      visibility:
                                        enum:
                                          - Auto
                                          - Public
                                          - Private
                                        type: string
                                required:
                                  - id
                                  - type
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  type:
                                    enum:
                                      - picture choice input
                                    type: string
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        blockId:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                        pictureSrc:
                                          type: string
                                        title:
                                          type: string
                                        description:
                                          type: string
                                        value:
                                          type: string
                                        displayCondition:
                                          type: object
                                          properties:
                                            isEnabled:
                                              type: boolean
                                            condition:
                                              type: object
                                              properties:
                                                logicalOperator:
                                                  enum:
                                                    - OR
                                                    - AND
                                                  type: string
                                                comparisons:
                                                  type: array
                                                  items:
                                                    type: object
                                                    properties:
                                                      id: {}
                                                      variableId: {}
                                                      comparisonOperator: {}
                                                      value: {}
                                      required:
                                        - id
                                  options:
                                    type: object
                                    properties:
                                      variableId:
                                        type: string
                                      isMultipleChoice:
                                        type: boolean
                                      isSearchable:
                                        type: boolean
                                      buttonLabel:
                                        type: string
                                      searchInputPlaceholder:
                                        type: string
                                      dynamicItems:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          titlesVariableId:
                                            type: string
                                          descriptionsVariableId:
                                            type: string
                                          pictureSrcsVariableId:
                                            type: string
                                required:
                                  - id
                                  - type
                                  - items
                      - type: object
                        properties:
                          prefilledValue:
                            type: string
                          runtimeOptions:
                            type: object
                            properties:
                              paymentIntentSecret:
                                type: string
                              amountLabel:
                                type: string
                              publicKey:
                                type: string
                            required:
                              - paymentIntentSecret
                              - amountLabel
                              - publicKey
                  clientSideActions:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            type:
                              const: scriptToExecute
                            scriptToExecute:
                              type: object
                              properties:
                                content:
                                  type: string
                                isUnsafe:
                                  type: boolean
                                isCode:
                                  type: boolean
                                args:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      value:
                                        anyOf:
                                          - anyOf:
                                              - anyOf:
                                                  - anyOf:
                                                      - type: string
                                                      - type: number
                                                  - type: boolean
                                              - type: array
                                                items:
                                                  anyOf:
                                                    - type: string
                                                    - type: 'null'
                                          - type: 'null'
                                    required:
                                      - id
                              required:
                                - content
                                - args
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - scriptToExecute
                        - type: object
                          properties:
                            type:
                              const: redirect
                            redirect:
                              type: object
                              properties:
                                url:
                                  type: string
                                isNewTab:
                                  type: boolean
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - redirect
                        - type: object
                          properties:
                            type:
                              const: chatwoot
                            chatwoot:
                              type: object
                              properties:
                                scriptToExecute:
                                  type: object
                                  properties:
                                    content:
                                      type: string
                                    isUnsafe:
                                      type: boolean
                                    isCode:
                                      type: boolean
                                    args:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          value:
                                            anyOf:
                                              - anyOf:
                                                  - anyOf:
                                                      - anyOf:
                                                          - {}
                                                          - {}
                                                      - type: boolean
                                                  - type: array
                                                    items:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                              - type: 'null'
                                        required:
                                          - id
                                  required:
                                    - content
                                    - args
                              required:
                                - scriptToExecute
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - chatwoot
                        - type: object
                          properties:
                            type:
                              const: googleAnalytics
                            googleAnalytics:
                              type: object
                              properties:
                                trackingId:
                                  type: string
                                category:
                                  type: string
                                action:
                                  type: string
                                label:
                                  type: string
                                value: {}
                                sendTo:
                                  type: string
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - googleAnalytics
                        - type: object
                          properties:
                            type:
                              const: wait
                            wait:
                              type: object
                              properties:
                                secondsToWaitFor:
                                  type: number
                              required:
                                - secondsToWaitFor
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - wait
                        - type: object
                          properties:
                            type:
                              const: setVariable
                            setVariable:
                              type: object
                              properties:
                                scriptToExecute:
                                  type: object
                                  properties:
                                    content:
                                      type: string
                                    isUnsafe:
                                      type: boolean
                                    isCode:
                                      type: boolean
                                    args:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          value:
                                            anyOf:
                                              - anyOf:
                                                  - anyOf:
                                                      - anyOf:
                                                          - {}
                                                          - {}
                                                      - type: boolean
                                                  - type: array
                                                    items:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                              - type: 'null'
                                        required:
                                          - id
                                  required:
                                    - content
                                    - args
                              required:
                                - scriptToExecute
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - setVariable
                        - type: object
                          properties:
                            type:
                              const: streamOpenAiChatCompletion
                            streamOpenAiChatCompletion:
                              type: object
                              properties:
                                messages:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      content:
                                        type: string
                                      role:
                                        enum:
                                          - system
                                          - user
                                          - assistant
                                        type: string
                              required:
                                - messages
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - streamOpenAiChatCompletion
                        - type: object
                          properties:
                            type:
                              const: httpRequestToExecute
                            httpRequestToExecute:
                              type: object
                              properties:
                                url:
                                  type: string
                                headers:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties:
                                    type: string
                                body: {}
                                method:
                                  enum:
                                    - POST
                                    - GET
                                    - PUT
                                    - DELETE
                                    - PATCH
                                    - HEAD
                                    - CONNECT
                                    - OPTIONS
                                    - TRACE
                                  type: string
                              required:
                                - url
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - httpRequestToExecute
                        - type: object
                          properties:
                            type:
                              const: startPropsToInject
                            startPropsToInject:
                              type: object
                              properties:
                                googleAnalyticsId:
                                  type: string
                                pixelIds:
                                  type: array
                                  items:
                                    type: string
                                gtmId:
                                  type: string
                                customHeadCode:
                                  type: string
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - startPropsToInject
                        - type: object
                          properties:
                            type:
                              const: pixel
                            pixel:
                              anyOf:
                                - type: object
                                  properties:
                                    pixelId:
                                      type: string
                                    isInitSkip:
                                      type: boolean
                                    params:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value: {}
                                        required:
                                          - id
                                    eventType:
                                      not: {}
                                - type: object
                                  properties:
                                    pixelId:
                                      type: string
                                    isInitSkip:
                                      type: boolean
                                    params:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value: {}
                                        required:
                                          - id
                                    eventType:
                                      enum:
                                        - Lead
                                        - Contact
                                        - CompleteRegistration
                                        - Schedule
                                        - SubmitApplication
                                        - ViewContent
                                        - AddPaymentInfo
                                        - AddToCart
                                        - AddToWishlist
                                        - CustomizeProduct
                                        - Donate
                                        - FindLocation
                                        - InitiateCheckout
                                        - Purchase
                                        - Search
                                        - StartTrial
                                        - Subscribe
                                      type: string
                                  required:
                                    - eventType
                                - type: object
                                  properties:
                                    pixelId:
                                      type: string
                                    isInitSkip:
                                      type: boolean
                                    params:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value: {}
                                        required:
                                          - id
                                    eventType:
                                      enum:
                                        - Custom
                                      type: string
                                    name:
                                      type: string
                                  required:
                                    - eventType
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - pixel
                        - type: object
                          properties:
                            type:
                              const: stream
                            stream:
                              const: true
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - stream
                        - type: object
                          properties:
                            type:
                              const: codeToExecute
                            codeToExecute:
                              type: object
                              properties:
                                args:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                content:
                                  type: string
                              required:
                                - args
                                - content
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                            - codeToExecute
                        - type: object
                          properties:
                            type:
                              const: listenForWebhook
                            lastBubbleBlockId:
                              type: string
                            expectsDedicatedReply:
                              type: boolean
                          required:
                            - type
                    description: Actions to execute on the client side
                  logs:
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: string
                        description:
                          type: string
                        details:
                          type: string
                        context:
                          type: string
                      required:
                        - description
                    description: Logs that were saved during the last execution
                  dynamicTheme:
                    type: object
                    properties:
                      hostAvatarUrl:
                        type: string
                      guestAvatarUrl:
                        type: string
                      backgroundUrl:
                        type: string
                    description: >-
                      If the typebot contains dynamic avatars, dynamicTheme
                      returns the new avatar URLs whenever their variables are
                      updated.
                  progress:
                    type: number
                    description: >-
                      If progress bar is enabled, this field will return a
                      number between 0 and 100 indicating the current progress
                      based on the longest remaining path of the flow.
                required:
                  - messages
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: BAD_REQUEST
                      status:
                        const: 400
                      message:
                        type: string
                        default: Bad Request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Unauthorized
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: Forbidden
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: Internal Server Error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  schemas:
    Text:
      type: object
      properties:
        type:
          const: text
        text:
          type: string
        metadata:
          type: object
          properties:
            replyId:
              type: string
        attachedFileUrls:
          type: array
          items:
            type: string
          description: >-
            Can only be provided if current input block is a text input block
            that allows attachments
      required:
        - type
        - text
    Audio:
      type: object
      properties:
        type:
          const: audio
        url:
          type: string
      required:
        - type
        - url
      description: >-
        Can only be provided if current input block is a text input block that
        allows audio clips
    Command:
      type: object
      properties:
        type:
          const: command
        command:
          type: string
      required:
        - type
        - command

````